Package net.sf.saxon.sapling

## Class SaplingText

- java.lang.Object
- - net.sf.saxon.sapling.SaplingNode
  - - net.sf.saxon.sapling.SaplingText

-     public class SaplingText
      extends SaplingNode

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SaplingText​(java.lang.String value)` | Construct a sapling text node with a given string value

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getNodeKind()` | Get the kind of node (document, element, text, comment, or processing instruction)
    `java.lang.String` | `getStringValue()` | Get the string value of the text node
    `protected void` | `sendTo​(Receiver receiver)` | Send a sequence of events representing this node to a supplied Receiver

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SaplingText

          public SaplingText​(java.lang.String value)

      Construct a sapling text node with a given string value
      Parameters:
        `value` - the string value of the text node. Note that zero-length text nodes are allowed.
      Throws:
        `java.lang.NullPointerException` - if the value is null.

  - ### Method Detail

    - #### getNodeKind

          public int getNodeKind()

      Description copied from class: `SaplingNode`
      Get the kind of node (document, element, text, comment, or processing instruction)
      Specified by:
        `getNodeKind` in class `SaplingNode`
      Returns:
        the kind of node, for example `Type.ELEMENT` for an element node.

    - #### getStringValue

          public java.lang.String getStringValue()

      Get the string value of the text node
      Returns:
        the string value of the node

    - #### sendTo

          protected void sendTo​(Receiver receiver)
                         throws XPathException

      Description copied from class: `SaplingNode`
      Send a sequence of events representing this node to a supplied Receiver
      Specified by:
        `sendTo` in class `SaplingNode`
      Parameters:
        `receiver` - the receiver to which the events are to be sent
      Throws:
        `XPathException` - if the receiver throws an exception